! Calculeaza:
! Functii: f(u); g(u,u'); p(t);
! Jacobieni: jf = df/du; jg = dg/du; jg1 =dg/du1;
! Derivata: dp;
!
! Ec. van der Pol: u'' -lambda*(1-u^2)*u' +u =A*cos(omp*t)
! lambda =e

subroutine fgp_j(t, XX, V)
use work
implicit real(8) (a-h, o-z)
real(8) xx(ngl), v(ngl)

x =XX(1)

! f(u):
f(1) =x


! Jacobianul lui f:
jf(1,1) =1.

! g(u,u'):
x1 =V(1)
g = -e*(1-x*x)*x1

! Jacobianul Dg/Du:
jg(1,1) =e*2*x*x1

! Jacobianul Dg/Du':
jg1(1,1) =-e*(1-x*x)


! p(t):
p = 0.

! P derivat:
dp =0.

END subroutine FGP_J
